org.richfaces.component

## Class UITabPanel

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractTogglePanel
        - - org.richfaces.component.AbstractTabPanel
          - - org.richfaces.component.UITabPanel

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, CoreProps, EventsMouseProps, I18nProps, MetaComponentEncoder, MetaComponentResolver, ItemChangeSource

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UITabPanel
      extends AbstractTabPanel
      implements javax.faces.component.behavior.ClientBehaviorHolder, CoreProps, EventsMouseProps, I18nProps

  The <rich:tabPanel> component provides a set of tabbed panels for displaying one panel of content at a time. The tabs can be highly customized and themed. Each tab within a <rich:tabPanel> container is a <rich:tab> component.

  Author:
    akolonitsky

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UITabPanel.Properties`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractTabPanel

      `HEADER_META_COMPONENT`

    - ### Fields inherited from class org.richfaces.component.AbstractTogglePanel

      `ACTIVE_ITEM_META_COMPONENT, META_NAME_FIRST, META_NAME_LAST, META_NAME_NEXT, META_NAME_PREV, UPDATE_MESSAGE_ID`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface org.richfaces.component.MetaComponentResolver

      `META_COMPONENT_SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UITabPanel()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.faces.convert.Converter` | `getConverter()`
    `Object` | `getData()`
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Collection<String>` | `getEventNames()`
    `Object` | `getExecute()`
    `String` | `getFamily()`
    `HeaderAlignment` | `getHeaderAlignment()` The alignment of the tab panel header: left (default), right
    `HeaderPosition` | `getHeaderPosition()` The position of the header: top (default), bottom
    `javax.el.MethodExpression` | `getItemChangeListener()` Occurs on the server side when an item is changed through Ajax using the server mode
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `String` | `getOnbeforeitemchange()` The client-side script method to be called before the item is changed.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnitemchange()` The client-side script method to be called after the item is changed.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `Object` | `getRender()`
    `String` | `getStatus()`
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTabActiveHeaderClass()` Space-separated list of CSS style class(es) for active tab header.
    `String` | `getTabContentClass()` Space-separated list of CSS style class(es) for tab content
    `String` | `getTabDisabledHeaderClass()` Space-separated list of CSS style class(es) for disabled tab headers.
    `String` | `getTabHeaderClass()` Space-separated list of CSS style class(es) for tab headers.
    `String` | `getTabInactiveHeaderClass()` Space-separated list of CSS style class(es) for inactive tab headers.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `boolean` | `isCycledSwitching()` Applicable when cycling through the tabs.
    `boolean` | `isLimitRender()`
    `void` | `setConverter(javax.faces.convert.Converter converter)`
    `void` | `setCycledSwitching(boolean cycledSwitching)`
    `void` | `setData(Object data)`
    `void` | `setDir(String dir)`
    `void` | `setExecute(Object execute)`
    `void` | `setHeaderAlignment(HeaderAlignment headerAlignment)`
    `void` | `setHeaderPosition(HeaderPosition headerPosition)`
    `void` | `setItemChangeListener(javax.el.MethodExpression itemChangeListener)`
    `void` | `setLang(String lang)`
    `void` | `setLimitRender(boolean limitRender)`
    `void` | `setOnbeforeitemchange(String onbeforeitemchange)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnitemchange(String onitemchange)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setRender(Object render)`
    `void` | `setStatus(String status)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTabActiveHeaderClass(String tabActiveHeaderClass)`
    `void` | `setTabContentClass(String tabContentClass)`
    `void` | `setTabDisabledHeaderClass(String tabDisabledHeaderClass)`
    `void` | `setTabHeaderClass(String tabHeaderClass)`
    `void` | `setTabInactiveHeaderClass(String tabInactiveHeaderClass)`
    `void` | `setTitle(String title)`

    - ### Methods inherited from class org.richfaces.component.AbstractTabPanel

      `getActiveItem, isHeaderAlignedLeft, isHeaderPositionedTop, resolveClientId, visitMetaComponents`

    - ### Methods inherited from class org.richfaces.component.AbstractTogglePanel

      `addItemChangeListener, broadcast, decode, encodeBegin, encodeMetaComponent, getChildIndex, getClientIdByName, getFirstItem, getIndexByName, getItem, getItemByIndex, getItemChangeListeners, getItemCount, getLastItem, getNameByIndex, getNextItem, getNextItem, getPrevItem, getPrevItem, getRendersChildren, getSubmittedActiveItem, getSubmittedValue, getSwitchType, getVisitStateByName, isActiveItem, isActiveItem, isActiveItem, isImmediate, isLocalValueSet, isPanelItemDynamic, isRequired, isValid, processDecodes, processUpdates, processValidators, queueEvent, removeItemChangeListener, resetValue, setActiveItem, setEventPhase, setEventPhase, setImmediate, setLocalValueSet, setRequired, setSubmittedActiveItem, setSubmittedValue, setSwitchType, setValid, setValue, setValueExpression, substituteUnresolvedClientId, updateActiveName, updateModel, visitTogglePanelItems, visitTree`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getLocalValue, getValue, markInitialState, restoreState, saveState`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, encodeAll, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getPassThroughAttributes, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UITabPanel

          public UITabPanel()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `AbstractTabPanel`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getConverter

          public javax.faces.convert.Converter getConverter()

      Specified by:
        `getConverter` in interface `javax.faces.component.ValueHolder`
      Specified by:
        `getConverter` in class `AbstractTogglePanel`

    - #### setConverter

          public void setConverter(javax.faces.convert.Converter converter)

      Specified by:
        `setConverter` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `setConverter` in class `javax.faces.component.UIOutput`

    - #### isCycledSwitching

          public boolean isCycledSwitching()

      Description copied from class: `AbstractTogglePanel`
      Applicable when cycling through the tabs. If "true", then when the last tab is active, cycling to next will activate the first tab, if "false", cycling to next will have not effect. The inverse applies for the first tab, and cycling to previous. Whether to Default: false
      Specified by:
        `isCycledSwitching` in class `AbstractTogglePanel`

    - #### setCycledSwitching

          public void setCycledSwitching(boolean cycledSwitching)

    - #### getData

          public Object getData()

      Specified by:
        `getData` in class `AbstractTabPanel`

    - #### setData

          public void setData(Object data)

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### getExecute

          public Object getExecute()

      Specified by:
        `getExecute` in class `AbstractTabPanel`

    - #### setExecute

          public void setExecute(Object execute)

    - #### getHeaderAlignment

          public HeaderAlignment getHeaderAlignment()

      Description copied from class: `AbstractTabPanel`
      The alignment of the tab panel header: left (default), right
      Specified by:
        `getHeaderAlignment` in class `AbstractTabPanel`

    - #### setHeaderAlignment

          public void setHeaderAlignment(HeaderAlignment headerAlignment)

    - #### getHeaderPosition

          public HeaderPosition getHeaderPosition()

      Description copied from class: `AbstractTabPanel`
      The position of the header: top (default), bottom
      Specified by:
        `getHeaderPosition` in class `AbstractTabPanel`

    - #### setHeaderPosition

          public void setHeaderPosition(HeaderPosition headerPosition)

    - #### getItemChangeListener

          public javax.el.MethodExpression getItemChangeListener()

      Description copied from class: `AbstractTogglePanel`
      Occurs on the server side when an item is changed through Ajax using the server mode
      Specified by:
        `getItemChangeListener` in class `AbstractTogglePanel`

    - #### setItemChangeListener

          public void setItemChangeListener(javax.el.MethodExpression itemChangeListener)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### isLimitRender

          public boolean isLimitRender()

      Specified by:
        `isLimitRender` in class `AbstractTabPanel`

    - #### setLimitRender

          public void setLimitRender(boolean limitRender)

    - #### getOnbeforeitemchange

          public String getOnbeforeitemchange()

      Description copied from class: `AbstractTogglePanel`
      The client-side script method to be called before the item is changed.
      Specified by:
        `getOnbeforeitemchange` in class `AbstractTogglePanel`

    - #### setOnbeforeitemchange

          public void setOnbeforeitemchange(String onbeforeitemchange)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnitemchange

          public String getOnitemchange()

      Description copied from class: `AbstractTogglePanel`
      The client-side script method to be called after the item is changed.
      Specified by:
        `getOnitemchange` in class `AbstractTogglePanel`

    - #### setOnitemchange

          public void setOnitemchange(String onitemchange)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getRender

          public Object getRender()

      Specified by:
        `getRender` in class `AbstractTabPanel`

    - #### setRender

          public void setRender(Object render)

    - #### getStatus

          public String getStatus()

      Specified by:
        `getStatus` in class `AbstractTabPanel`

    - #### setStatus

          public void setStatus(String status)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTabActiveHeaderClass

          public String getTabActiveHeaderClass()

      Description copied from class: `AbstractTabPanel`
      Space-separated list of CSS style class(es) for active tab header.
      Specified by:
        `getTabActiveHeaderClass` in class `AbstractTabPanel`

    - #### setTabActiveHeaderClass

          public void setTabActiveHeaderClass(String tabActiveHeaderClass)

    - #### getTabContentClass

          public String getTabContentClass()

      Description copied from class: `AbstractTabPanel`
      Space-separated list of CSS style class(es) for tab content
      Specified by:
        `getTabContentClass` in class `AbstractTabPanel`

    - #### setTabContentClass

          public void setTabContentClass(String tabContentClass)

    - #### getTabDisabledHeaderClass

          public String getTabDisabledHeaderClass()

      Description copied from class: `AbstractTabPanel`
      Space-separated list of CSS style class(es) for disabled tab headers.
      Specified by:
        `getTabDisabledHeaderClass` in class `AbstractTabPanel`

    - #### setTabDisabledHeaderClass

          public void setTabDisabledHeaderClass(String tabDisabledHeaderClass)

    - #### getTabHeaderClass

          public String getTabHeaderClass()

      Description copied from class: `AbstractTabPanel`
      Space-separated list of CSS style class(es) for tab headers.
      Specified by:
        `getTabHeaderClass` in class `AbstractTabPanel`

    - #### setTabHeaderClass

          public void setTabHeaderClass(String tabHeaderClass)

    - #### getTabInactiveHeaderClass

          public String getTabInactiveHeaderClass()

      Description copied from class: `AbstractTabPanel`
      Space-separated list of CSS style class(es) for inactive tab headers.
      Specified by:
        `getTabInactiveHeaderClass` in class `AbstractTabPanel`

    - #### setTabInactiveHeaderClass

          public void setTabInactiveHeaderClass(String tabInactiveHeaderClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.